---
displayed_sidebar: entitiesSidebar
---

# Class: ProductTaxRate

## Constructors

### constructor

• **new ProductTaxRate**()

## Properties

### created\_at

• **created\_at**: `Date`

#### Defined in

[models/product-tax-rate.ts:32](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/product-tax-rate.ts#L32)

___

### metadata

• **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

[models/product-tax-rate.ts:38](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/product-tax-rate.ts#L38)

___

### product

• `Optional` **product**: [`Product`](Product.md)

#### Defined in

[models/product-tax-rate.ts:24](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/product-tax-rate.ts#L24)

___

### product\_id

• **product\_id**: `string`

#### Defined in

[models/product-tax-rate.ts:17](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/product-tax-rate.ts#L17)

___

### rate\_id

• **rate\_id**: `string`

#### Defined in

[models/product-tax-rate.ts:20](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/product-tax-rate.ts#L20)

___

### tax\_rate

• `Optional` **tax\_rate**: [`TaxRate`](TaxRate.md)

#### Defined in

[models/product-tax-rate.ts:29](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/product-tax-rate.ts#L29)

___

### updated\_at

• **updated\_at**: `Date`

#### Defined in

[models/product-tax-rate.ts:35](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/product-tax-rate.ts#L35)
